Subject: bug#25831: Expose http_proxy setting on GuixSD

From: ng0 <[email-masked]>
Date: Thu, 23 Feb 2017 16:20:38 +0000

On 17-02-22 15:26:31, Leo Famulari wrote:
> On Wed, Feb 22, 2017 at 09:15:12PM +0100, Mathieu Lirzin wrote:
> > Leo Famulari <[email-masked]> writes:
> > > +                (list (string-append "PATH=" #$lsof "/bin")
> > > +                      #$@(if http-proxy
> > > +                           (list (string-append "http_proxy=" http-proxy))
> > > +                           '()))
> >                             ^^
> >                             missin two spaces in THEN and ELSE part ;)
> 
> I'm still learning what looks right :)
> 
> > Otherwise, LGTM.
> 
> Thanks for your advice and review!
> 
> I pushed the change as 93d32da9f8bba815b1effe6358904b5e1f9c73ff.

Thanks!
I was hoping this change (added 127.0.0.1:9050) in a test config would
pick up the .onion of bayfront I have in there, but it didn't happen. In
the comments you mentioned https_proxy is at some point favored over
http_proxy, so currently my only option is firewall rules then (which I
will need anyway).